Skip to main content
PATCH
/
api
/
v1
/
brands
/
{brand_id}
Update Brand
curl --request PATCH \
  --url https://api.example.com/api/v1/brands/{brand_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "website_url": "<string>",
  "logo_url": "<string>",
  "industry": "<string>",
  "description": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "website_url": "<string>",
  "logo_url": "<string>",
  "industry": "<string>",
  "description": "<string>",
  "partner_slug": "<string>",
  "brand_kit_count": 0,
  "audit_count": 0,
  "competitor_count": 0
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
string<uuid>
required

Body

application/json
name
string | null
Required string length: 1 - 200
website_url
string | null
Maximum string length: 500
logo_url
string | null
Maximum string length: 500
industry
string | null
Maximum string length: 100
description
string | null

Response

Successful Response

id
string<uuid>
required
name
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
website_url
string | null
logo_url
string | null
industry
string | null
description
string | null
partner_slug
string | null
brand_kit_count
integer
default:0
audit_count
integer
default:0
competitor_count
integer
default:0